# gulp-choose-files [![NPM version](https://img.shields.io/npm/v/gulp-choose-files.svg?style=flat)](https://www.npmjs.com/package/gulp-choose-files) [![NPM downloads](https://img.shields.io/npm/dm/gulp-choose-files.svg?style=flat)](https://npmjs.org/package/gulp-choose-files)

Gulp plugin that prompts you to choose the files to pass through the stream.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save gulp-choose-files
```

![gulp choose files example](example.gif)

## Usage

```js
var gulp = require('gulp');
var choose = require('gulp-choose-files');

gulp.task('default', function() {
  return gulp.src('fixtures/*.*')
    .pipe(choose())
    .pipe(gulp.dest('actual'));
});
```

## options.choices

If you need to be able to automatically skip the prompt, you can pass a string or array with your "choices" to `options.choices`.

The following will only write `a.txt`:

```js
gulp.task('default', function() {
  return gulp.src('fixtures/*.txt')
    .pipe(choose({choices: ['a.txt']}))
    .pipe(gulp.dest('actual'));
});
```

## About

### Related projects

* [gulp-choose-file](https://www.npmjs.com/package/gulp-choose-file): Gulp plugin that prompts you to choose a file to pass through the stream. | [homepage](https://github.com/pointnet/gulp-choose-file "Gulp plugin that prompts you to choose a file to pass through the stream.")
* [gulp-condense](https://www.npmjs.com/package/gulp-condense): Remove extra newlines in a string. | [homepage](https://github.com/jonschlinkert/gulp-condense "Remove extra newlines in a string.")
* [gulp-extname](https://www.npmjs.com/package/gulp-extname): gulp plugin to dynamically rewrite dest extensions based on src extensions. | [homepage](https://github.com/jonschlinkert/gulp-extname "gulp plugin to dynamically rewrite dest extensions based on src extensions.")
* [gulp-htmlmin](https://www.npmjs.com/package/gulp-htmlmin): gulp plugin to minify HTML. | [homepage](https://github.com/jonschlinkert/gulp-htmlmin#readme "gulp plugin to minify HTML.")

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

### Building docs

_(This document was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme) (a [verb](https://github.com/verbose/verb) generator), please don't edit the readme directly. Any changes to the readme must be made in [.verb.md](.verb.md).)_

To generate the readme and API documentation with [verb](https://github.com/verbose/verb):

```sh
$ npm install -g verb verb-generate-readme && verb
```

### Running tests

Install dev dependencies:

```sh
$ npm install -d && npm test
```

### Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

### License

Copyright © 2016, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT license](https://github.com/generate/gulp-choose-files/blob/master/LICENSE).

***

_This file was generated by [verb](https://github.com/verbose/verb), v0.9.0, on July 16, 2016._